﻿	<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
    <%var args= it.args,data = it.data ? it.data : it;%>
    <%var lang = jQuery.cookie("language_type");%>
	<div id="mainTab">
		<a class="currentMenu" data='{"data":"/var/datas/data.index.html","template":"tmp.index.html","fn":"false,HomePage","modules":"mainContent","menuIndex":"0"}' hidefocus="true" href="#"><span>/*[ID_SYSTEM]*/</span></a>
       <%if(data.system.energy_source_enable[0]===0){ %>
       <a data='{"name":"Hybrid","data":"/var/datas/data.hybrid.html","template":"tmp.hybrid.html","modules":"mainBody","menuIndex":"0"}' hidefocus="true" href="#"><span>/*[ID_HYBRID]*/</span></a>
       <%} %>
       <%if(data.system.SMIO_Status[0]===0){ %>
       <a data='{"name":"SMIO","data":"/var/datas/data.system_smio.html","template":"tmp.system_smio.html","fn":"false","modules":"mainBody","menuIndex":"0","render":"artTemplate"}' hidefocus="true" href="#"><span>/*[ID_SMIO]*/</span></a>
       <%} %>
       <!-- added by Jimmy 2014.03.12 for user config page -->
       <%if(data.system.user_def_sample_enable[0]===0){ %>
       <a data='{"name":"User_Defined","data":"/var/datas/data.system_udef.html","template":"tmp.system_udef.html","fn":"false","modules":"mainBody","menuIndex":"0","render":"artTemplate"}' hidefocus="true" href="#"><span>/*[ID_USER_DEF]*/</span></a>
       <%} %>
	   <%if(data.system.consumption_map_enable[0]===0){ %>
	   <a data='{"data":"/var/datas/data.consumption_map.html","template":"tmp.consumption_map.html","menuIndex":"0","render":"artTemplate","modules":"mainBody"}' hidefocus="true" href="#"><span>/*[ID_CONSUM_MAP]*/</span></span></a>
	   <%}%>
	   <a data='{"data":"/var/datas/data.system_sample.html","template":"tmp.system_sample.html","modules":"mainBody","menuIndex":"0","render":"artTemplate"}' hidefocus="true" href="#" style="display:none;"><span>/*[ID_SAMPLE]*/</span>
</a>
       <%if(data.system.Efficiency_Tra===0){ %>
       <a data='{"data":"/var/datas/data.efficiency_tracker.html","template":"tmp.efficiency_tracker.html","menuIndex":"0","render":"artTemplate","modules":"mainBody"}' hidefocus="true" href="#"><span>/*[ID_EFFICI_TRA]*/</span></span></a>
       <%} %>
	</div>
	<div class="extbackground">
	<div class="clearscroll">
	<div id="mainBody" class="mainBody">
        <!--缓存图片,IE6,IE7每次更新都会请求电流走向的图片，看能否解决电流走向闪烁的问题-->
        <!--[if lt IE 8]>
        <img src='../images/current_hor_right.gif?<%=new Date().getTime() %>' style="display:none" />
        <img src='../images/current_turn_down.gif?<%=new Date().getTime() %>' style="display:none" />
        <img src='../images/current_turn_up.gif?<%=new Date().getTime() %>' style="display:none" />
        <img src='../images/current_ver_down.gif?<%=new Date().getTime() %>' style="display:none" />
        <img src='../images/current_ver_up.gif?<%=new Date().getTime() %>' style="display:none" />
        <img src='../images/current-hor.gif?<%=new Date().getTime() %>' style="display:none" />
        <img src='../images/current-turn.gif?<%=new Date().getTime() %>' style="display:none" />
        <img src='../images/current-ver.gif?<%=new Date().getTime() %>' style="display:none" />
        <![endif]-->
		<div class="home-system">
			<div class="home-system-l">
			    <%if(data.system.number[7]>0){ %>
                <!--<a class="h-s-11" data='{"data":"/var/datas/data.system_inverter.html","template":"tmp.system_tabs_a.html,tmp.system_inverter.html","menuIndex":"2","currentMenu":"tabInverter"}' hidefocus="true" href="#"><span>AC</span></a>-->
                <a class="h-s-11" data='{"data":"/var/datas/data.index.html","template":"tmp.system_inverter_output.html","menuIndex":"2","currentMenu":"tabInverter"}' hidefocus="true" href="#"><span>AC</span></a>                
                <a class="h-s-12" data='{"data":"/var/datas/data.system_inverter.html","template":"tmp.system_tabs_a.html,tmp.system_inverter.html","menuIndex":"2","currentMenu":"tabInverter"}' hidefocus="true" href="#"><span>Inverter</span></a>
                <!-----------------------------------------
                <table class="Inv_output_table">
                    <tr>
                        <td style="width:60px"></td>                                                                            
                        <th scope="col">P1</th>                                                              
                        <th scope="col">P2</th>                                                              
                        <th scope="col">P3</th> 
                    </tr>
                    <tr>
                        <th scope="row">NUM</th>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[11])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[11]==-9999 ? "NA" : data.system.topology2.Inverter[11][0]%>
                            <%} %>
                        </td>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[12])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[12]==-9999 ? "NA" : data.system.topology2.Inverter[12][0]%>
                            <%} %>
                        </td>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[13])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[13]==-9999 ? "NA" : data.system.topology2.Inverter[13][0]%>
                            <%} %>
                        </td>
                    </tr>
                    <tr>                                                                                                                   
                            <th scope="row">CURR</th>
                            <td>
                                <%if(Validates.CheckValue(data.system.topology2.Inverter[14])=='v_hidden'){ %>
                                ---
                                <%}else { %>
                                <%=data.system.topology2.Inverter[14]==-9999 ? "NA" : data.system.topology2.Inverter[14][0]+" A"%>
                                <%} %>
                            </td>
                            <td>
                                <%if(Validates.CheckValue(data.system.topology2.Inverter[15])=='v_hidden'){ %>
                                ---
                                <%}else { %>
                                <%=data.system.topology2.Inverter[15]==-9999 ? "NA" : data.system.topology2.Inverter[15][0]+" A"%>
                                <%} %>
                            </td>
                            <td>
                                <%if(Validates.CheckValue(data.system.topology2.Inverter[16])=='v_hidden'){ %>
                                ---
                                <%}else { %>
                                <%=data.system.topology2.Inverter[16]==-9999 ? "NA" : data.system.topology2.Inverter[16][0]+" A"%>
                                <%} %>
                            </td>
                    </tr>                                                                                                                  
                    <tr>                                                                                                                   
                        <th scope="row">POW (kW)</th>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[17])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[17]==-9999 ? "NA" : data.system.topology2.Inverter[17][0]+" kW"%>
                            <%} %>
                        </td>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[18])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[18]==-9999 ? "NA" : data.system.topology2.Inverter[18][0]+" kW"%>
                            <%} %>
                        </td>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[19])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[19]==-9999 ? "NA" : data.system.topology2.Inverter[19][0]+" kW"%>
                            <%} %>
                        </td>
                    </tr>                                                                                                                  
                    <tr>                                                                                                  
                        <th scope="row">POW (kVA)</th>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[20])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[20]==-9999 ? "NA" : data.system.topology2.Inverter[20][0]+" kVA"%>
                            <%} %>
                        </td>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[21])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[21]==-9999 ? "NA" : data.system.topology2.Inverter[21][0]+" kVA"%>
                            <%} %>
                        </td>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[22])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[22]==-9999 ? "NA" : data.system.topology2.Inverter[22][0]+" kVA"%>
                            <%} %>
                        </td> 
                    </tr>                                                                                                 

                    <tr>                                                                                                  
                        <th scope="row">OUTPUT</th>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[23])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[23]==-9999 ? "NA" : data.system.topology2.Inverter[23][0]+" V"%>
                            <%} %>
                        </td>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[24])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[24]==-9999 ? "NA" : data.system.topology2.Inverter[24][0]+" V"%>
                            <%} %>
                        </td>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[25])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[25]==-9999 ? "NA" : data.system.topology2.Inverter[25][0]+" V"%>
                            <%} %>
                        </td> 
                    </tr>

                    <tr>                                                                                                  
                        <th scope="row">INPUT</th>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[26])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[26]==-9999 ? "NA" : data.system.topology2.Inverter[26][0]+" V"%>
                            <%} %>
                        </td>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[27])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[27]==-9999 ? "NA" : data.system.topology2.Inverter[27][0]+" V"%>
                            <%} %>
                        </td>
                        <td>
                            <%if(Validates.CheckValue(data.system.topology2.Inverter[28])=='v_hidden'){ %>
                            ---
                            <%}else { %>
                            <%=data.system.topology2.Inverter[28]==-9999 ? "NA" : data.system.topology2.Inverter[28][0]+" V"%>
                            <%} %>
                        </td> 
                    </tr>
                </table>            
                ----------------------------------------->
			    <% var AC_inv_source = "/*[ID_INV_MAINS]*/";%>
                <a class="h-s-13" data='' hidefocus="true" href="#"><span><%=AC_inv_source %></span></a>
                	<ol class="h-s-value7a">
                    	<%
                    	var ID_INV_L1 = "/*[ID_INV_L1]*/";
                    	var ID_INV_L2 = "/*[ID_INV_L2]*/";
                    	var ID_INV_L3 = "/*[ID_INV_L3]*/";
                    	var Inv_MainsData = [];
                    	if(data.system.phase==1){
                        	Inv_MainsData = data.system.Mains_3Phase;
                    	} else {
                        	Inv_MainsData = data.system.topology2.Inverter;
                    	};
                    	var Inv_ACCurrent = data.system.ACCurrent;
                    	%>
                    	<%if(Validates.CheckValue(Inv_MainsData[4])=='v_hidden'){ %>
                        <li><%=ID_INV_L1 %>:<em>---</em></li>
                    	<%}else { %>
                    	<li class="<%=Validates.CheckValue(Inv_MainsData[4]) %>"><%=ID_INV_L1 %>:<em><%=Inv_MainsData[4]==-9999 ? "NA" : Inv_MainsData[4][0]+"V"%></em></li>
                    	<%} %>
                    	<%if(Validates.CheckValue(Inv_MainsData[5])=='v_hidden'){ %>
                    	<li><%=ID_INV_L2 %>:<em>---</em></li>
                    	<%}else { %>
                    	<li class="<%=Validates.CheckValue(Inv_MainsData[5]) %>"><%=ID_INV_L2 %>:<em><%=Inv_MainsData[5]==-9999 ? "NA" : Inv_MainsData[5][0]+"V"%></em></li>
                    	<%} %>

                    	<%if(Validates.CheckValue(Inv_MainsData[6])=='v_hidden'){ %>
                    	<li><%=ID_INV_L3 %>:<em>---</em></li>
                    	<%}else { %>
                    	<li class="<%=Validates.CheckValue(Inv_MainsData[6]) %>"><%=ID_INV_L3 %>:<em><%=Inv_MainsData[6]==-9999 ? "NA" : Inv_MainsData[6][0]+"V"%></em></li>
                    	<%} %>
                	</ol>                             		    		        
			        <em class="h-s-value h-s-value9 ">
                        <%=data.system.topology2.Inverter[2][0]%>A</em>
                    <em class="h-s-value h-s-value12 ">
                        <%=data.system.topology2.Inverter[7][0]%>V</em>
                    <div class="h-s-line25a <%if(data.system.topology2.Inverter[1][0]>0){ %>direction-right-white<%}else{ %>stopcurrent<%} %>"></div>
                    <div class="h-s-line25b <%if(data.system.topology2.Inverter[2][0]>0){ %>direction-right-white<%}else{ %>stopcurrent<%} %>"></div>
                    <em class="h-s-value h-s-value10 ">
						<%=data.system.topology2.Inverter[1][0]%>A</em>
                    <div class="h-s-line26 <%if(data.system.topology2.Inverter[0][0]>0){ %>direction-2-up<%}else{ %>stopcur2<%} %>"></div>
                    <em class="h-s-value h-s-value11 ">
						<%=data.system.topology2.Inverter[0][0]%>A</em>
                 <%} %>
                <%if((data.system.converter400==2) || ((data.system.MPPT_type != 1) && (data.system.converter_type != 0))){ %>
                <p class="h-s-03-dc"><span></span></p>
                <% } else if((data.system.MPPT_type==2) && (data.system.converter_type == 0)){ %>
                <p class="h-s-03-solar"><span>/*[ID_SOLAR2]*/</span></p>
                <%}
                else { 
                var AC_name = "/*[ID_MAINS]*/";
                if(data.system.AC_Status[0]===0){
                %>
                 <a class="h-s-03" data='{"data":"/var/datas/data.system_ac.html","name":"SMAC","template":"tmp.system_ac.html","fn":"true","menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#"><span><%=AC_name %></span></a>
                 <%} else { %>
                 <p class="h-s-03"><span><%=AC_name %></span></p>
                 <%} %>

                <ol class="h-s-value6">
                    <%
                    var ID_L1 = "/*[ID_L1]*/";
                    var ID_L2 = "/*[ID_L2]*/";
                    var ID_L3 = "/*[ID_L3]*/";
                    var MainsData = [];
                    if(data.system.phase==1){
                        MainsData = data.system.Mains_3Phase;
                    } else {
                        MainsData = data.system.Mains;
                    };
                    var ACCurrent = data.system.ACCurrent;
                    %>
                    <%if(Validates.CheckValue(MainsData[0])=='v_hidden'){ %>
                    <li><%=ID_L1 %>:<em>---</em></li>
                    <%}else { %>
                    <li class="<%=Validates.CheckValue(MainsData[0]) %>"><%=ID_L1 %>:<em><%=MainsData[0]==-9999 ? "NA" : MainsData[0][0]+"V"%></em></li>
                    <%} %>
                    <%if(Validates.CheckValue(MainsData[1])=='v_hidden'){ %>
                    <li><%=ID_L2 %>:<em>---</em></li>
                    <%}else { %>
                    <li class="<%=Validates.CheckValue(MainsData[1]) %>"><%=ID_L2 %>:<em><%=MainsData[1]==-9999 ? "NA" : MainsData[1][0]+"V"%></em></li>
                    <%} %>

                    <%if(Validates.CheckValue(MainsData[2])=='v_hidden'){ %>
                    <li><%=ID_L3 %>:<em>---</em></li>
                    <%}else { %>
                    <li class="<%=Validates.CheckValue(MainsData[2]) %>"><%=ID_L3 %>:<em><%=MainsData[2]==-9999 ? "NA" : MainsData[2][0]+"V"%></em></li>
                    <%} %>
                </ol>
                <%} %>
                <%if((data.system.converter400==2) || ((data.system.MPPT_type != 1) && (data.system.converter_type != 0))){ %><!---->
                    <a class="h-s-04-dc" data='{"data":"/var/datas/data.system_converter.html","template":"tmp.system_tabs_a.html,tmp.system_converter.html","menuIndex":"2","currentMenu":"tabCoverter"}' hidefocus="true" href="#"><span>/*[ID_CONVERTER]*/</span></a>
                <%} else if((data.system.MPPT_type==2) && (data.system.converter_type == 0)){%>
                <a class="h-s-04-solar" data='{"data":"/var/datas/data.system_solar.html","template":"tmp.system_tabs_a.html,tmp.system_solar.html","menuIndex":"2","currentMenu":"tabSolar"}' hidefocus="true" href="#"><span>/*[ID_SOLAR_RECT1]*/</span></a>
                <%}
                else { %>
                    <a class="h-s-04" data='{"data":"/var/datas/data.system_rectifier.html","template":"tmp.system_tabs_a.html,tmp.system_rectifier.html","menuIndex":"2","currentMenu":"tabRectifier"}' hidefocus="true" href="#"><span>/*[ID_RECTIFIER]*/</span></a>
                <%} %>
                <%
                    if(data.system.BATT_CAPACITY){
                    var bc = data.system.BATT_CAPACITY[0],bc_class = "h-s-08";
                    if(data.system.Battery[0]>=0){
                        if(bc>75 && bc<=100){
                            bc_class = "h-s-08-c4";
                        } else if(bc>50 && bc<=75){
                            bc_class = "h-s-08-c3";
                        } else if(bc>25 && bc<=50){
                            bc_class = "h-s-08-c2";
                        } else if(bc>0 && bc<=25){
                            bc_class = "h-s-08-c1";
                        } else if(bc==0){
                            bc_class = "h-s-08-c0";
                        }
                    } else {
                        if(bc>75 && bc<=100){
                            bc_class = "h-s-08-f4";
                        } else if(bc>50 && bc<=75){
                            bc_class = "h-s-08-f3";
                        } else if(bc>25 && bc<=50){
                            bc_class = "h-s-08-f2";
                        } else if(bc>0 && bc<=25){
                            bc_class = "h-s-08-f1";
                        } else if(bc==0){
                            bc_class = "h-s-08-f0";
                        }
                    }
                    };
                %>
                <%if(data.system.Battery_status[2]!=1 && data.system.Battery_status[3]!=1 && data.system.converter400!=2){ %><!---->
                <a class="h-s-088 <%=bc_class%> <%=Validates.CheckValue(data.system.Battery_status) %>" data='{"data":"/var/datas/data.system_battery.html,Tabs:/var/datas/data.system_lvd_fuse.html","template":"tmp.system_battery_tabs.html,tmp.system_battery.html","title":"/*[ID_BATTERY]*/","menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#"><span>/*[ID_BATTERY1]*/: <%=data.system.Battery_status[0][lang] %><i><%=bc %>%</i></span></a>
                <%if(data.system.Battery[0]==0){ %>
                    <div class="h-s-line17 stopcur2"></div>
                <%}else{ %>
                    <div class="h-s-line7a <%if(data.system.Battery[0]>0){ %>direction-2-down<%}else{ %>direction-2-up<%} %>"></div>
                <%} %>
                <em class="h-s-value h-s-value4 <%=Validates.CheckValue(data.system.Battery) %>"><%=data.system.Battery[0]%>A</em>     
                <%} %>
                <%if(data.system.converter400!=2){ %>
                    <a class="h-s-09" data='{"data":"/var/datas/data.system_dc.html","name":"DC","template":"tmp.system_dc.html","menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#"><span>/*[ID_DC]*/</span></a>
                <%}else{ %>
                    <a class="h-s-09-c" data='{"data":"/var/datas/data.system_dc.html","name":"DC","template":"tmp.system_dc.html","menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#"><span>/*[ID_DC]*/</span></a>
                <%} %>
                <%if(data.system.number[1]>0 && data.system.converter400!=2&& !((data.system.MPPT_type==2)&&(data.system.converter_type == 0))){%><!---->
                    <p class="h-s-01"><span>/*[ID_SOLAR]*/</span></p>
                    <a class="h-s-02" data='{"data":"/var/datas/data.system_solar.html","template":"tmp.system_tabs_a.html,tmp.system_solar.html","menuIndex":"2","currentMenu":"tabSolar"}' hidefocus="true" href="#"><span>/*[ID_SOLAR_RECT]*/</span></a>
                    <em class="h-s-value h-s-value1 <%=Validates.CheckValue(data.system.SolarRectifier[0]) %>"><%=data.system.SolarRectifier[0][0]%>A</em>
                    <em class="h-s-value h-s-value1_1 <%=Validates.CheckValue(data.system.SolarRectifier[1]) %>"><%=data.system.SolarRectifier[1][0]%>kW</em>
                    <!--<div class="h-s-line1 direction-right <%if(data.system.SolarRectifier[2][0]!=0){ %>stopcur<%} %>"></div>-->
                    <!--<div class="h-s-line30 direction-right"></div>-->
                    <%if(data.system.SolarRectifier[2][0]==0){ %>
                        <div class="h-s-line1 direction-right"></div>
                        <div class="h-s-line30 direction-right"></div>
                    <%}else{ %>
                        <div class="h-s-line1-sol"></div>
                        <div class="h-s-line30-sol"></div>
                    <%} %>
                    <%if(data.system.SolarRectifier[0][0]==0){ %>
                        <div class="h-s-line19 direction-right stopcur"></div>
                        <div class="h-s-line18 direction-down stopcur2"></div>
                       <!-- <div class="h-s-line10 direction-right-down  stopcur3"></div>-->
                    <%}else{ %>
                        <!--<div class="h-s-line10 direction-right-down"></div>-->
                        <!--<div class="h-s-line5 direction-down"></div>-->
                        <div class="h-s-line19-sol direction-right "></div>
                        <div class="h-s-line18 direction-down "></div>
                    <%} %>
                <%}%>
                <!--交流停电电源电流停止流动-->
                <%if(data.system.Battery_status[0][0]=="AC Fail"||(data.system.Mains[0][0]==0&&data.system.Mains[1][0]==0&&data.system.Mains[2][0]==0)){%>
                   <%if(data.system.Rectifier[0][0]==0&&data.system.DC[0]==0){%>
                        <%if(data.system.converter400==2){%>
                            <div class="h-s-line15-stop direction-right stopcur5"></div>
                            <div class="h-s-line16-c direction-2-right stopcur"></div>
                            <em class="h-s-value h-s-ACvalue "> 0.0A</em>
                            <em class="h-s-value h-s-DCvalue <%=Validates.CheckValue(data.system.topology2.converter_current[2]) %>"><%=data.system.topology2.converter_current[2][0]%>V DC</em>
                            <% } else if((data.system.MPPT_type==2) && (data.system.converter_type == 0)){ %>
                                <div class="h-s-line2 <%if(data.system.SolarRectifier[2][0]==0){ %>direction-yellow<%}else{ %>direction-stop-yellow<%} %>"></div>                                
                                <div class="h-s-line23-sol <%if(data.system.SolarRectifier[0][0]>0){ %>direction-right<%}else{ %>stopcur<%} %>"></div>
                                <%}
                                else {%> 
                            <div class="h-s-line16 direction-2-right stopcur"></div>
                            <div class="h-s-line2-sol direction-right-white"></div>
                            <em class="h-s-value h-s-ACvalue "> 0.0A</em>
                        <%} %>
                        <%if(data.system.Battery[0]!=0){%>
                            <div class="h-s-line22 direction-2-right"></div>
                        <%}%>
                   <%}else if(data.system.DC[0]!=0){%>
                        <%if(data.system.Rectifier[0][0]==0&&data.system.converter400==2){%>
                            <div class="h-s-line14 stopcur"></div>
                            <em class="h-s-value h-s-DCvalue <%=Validates.CheckValue(data.system.topology2.converter_current[2]) %>"><%=data.system.topology2.converter_current[2][0]%>V DC</em>
                        <%}%> 
                        <%if(data.system.Rectifier[0][0]==0&&data.system.converter400!=2){%>
                            <div class="h-s-line14-bat stopcur"></div>
                            <div class="h-s-line2-sol direction-right-white"></div>
                        <%}%>
                        <%if(data.system.Rectifier[0][0]==0&&data.system.SolarRectifier[0][0]!=0&&data.system.MPPT_type==0){%>
                            <div class="h-s-line21 stopcur"></div>
                            <div class="h-s-line2-sol direction-right-white"></div>
                        <%}%> 
                        <%if(data.system.Rectifier[0][0]==0&&data.system.SolarRectifier[0][0]!=0&&data.system.MPPT_type==2){%>
                            <div class="h-s-line21 direction-2-right"></div>
                            <div class="h-s-line2-sol direction-yellow"></div>
                        <%}%>                         
                        <%if(data.system.Rectifier[0][0]==0&&data.system.SolarRectifier[0][0]!=0&&data.system.MPPT_type==1){%>
                            <div class="h-s-line21 direction-2-right"></div>
                            <div class="h-s-line2-sol direction-right-white"></div>
                        <%}%> 
                        <%if(data.system.converter400==2){%>
                            <div class="h-s-line15-c direction-right"></div>
                        <%}else{%>
                            <div class="h-s-line15-bat direction-2-right"></div>
                        <%}
                   }%>
                   <%if(data.system.Rectifier[0][0]!=0){%>
                       <%if(data.system.DC[0]==0&&data.system.SolarRectifier[0][0]==0){%>
                           <div class="h-s-line15 direction-2-right stopcur"></div>
                       <%}%>
                       <%if(data.system.SolarRectifier[0][0]==0&&data.system.MPPT_type==2){%>
                        <div class="h-s-line14-bat direction-2-right stopcur"></div>                           
                        <div class="h-s-line2-sol direction-yellow"></div>
                        <%}%>
                        <%if(data.system.SolarRectifier[0][0]==0&&data.system.MPPT_type==1){%>
                        <div class="h-s-line14-bat direction-2-right"></div>
                        <div class="h-s-line2-sol direction-right-white"></div>                   
                        <%}%>
                        <%if(data.system.SolarRectifier[0][0]==0&&data.system.MPPT_type==0){%>
                            <div class="h-s-line14-bat direction-2-right"></div>
                            <div class="h-s-line2-sol direction-right-white"></div>                   
                        <%}%>
                       <%if(data.system.SolarRectifier[0][0]!=0&&data.system.MPPT_type==2){%>
                           <div class="h-s-line14-bat direction-2-right"></div>                           
                           <div class="h-s-line2-sol direction-yellow"></div>
                       <%}%>
                       <%if(data.system.SolarRectifier[0][0]!=0&&data.system.MPPT_type==1){%>
                        <div class="h-s-line14-bat direction-2-right"></div>
                        <div class="h-s-line2-sol direction-right-white"></div>                   
                       <%}%>
                       <%if(data.system.SolarRectifier[0][0]!=0&&data.system.MPPT_type==0){%>
                       <div class="h-s-line14-bat direction-2-right"></div>
                       <div class="h-s-line2-sol direction-right-white"></div>
                       <%}
                   }%>
                <%}else{ %>
                    <%if(data.system.Rectifier[0][0]==0&&data.system.DC[0]!=0){ %>
                        <div class="h-s-line24 direction-right-white"></div>
                    <%}else{ %>
                        <%if(data.system.MPPT_type==2){%>
                            <div class="h-s-line2-sol <%if(data.system.SolarRectifier[2][0]==0){ %>direction-yellow<%}else{ %>direction-stop-yellow<%} %>"></div>
                            <%}else{ %>   
                        <div class="h-s-line2 direction-right-white"></div>
                        <div class="h-s-line2_1 direction-2-right"></div>
                        <em class="h-s-value h-s-ACvalue "> 0.0A</em>
                        <%}%>
                    <%} %>
                    <%if(data.system.Rectifier[0][0]==0){
                        if(data.system.Battery[0]==0){%>
                            <div class="h-s-line23 stopcur"></div>
                        <%}else{%>
                            <div class="h-s-line29 stopcur"></div>
                            <div class="h-s-line15-bat direction-2-right"></div>
                        <%}
                     }%>
                     <%if(data.system.Rectifier[0][0]==0&&data.system.DC[0]==0&&data.system.Battery[0]!=0&&data.system.SolarRectifier[0][0]!=0){%>
                        <div class="h-s-line22 direction-2-right"></div>
                     <%} %>
                     <%if(data.system.DC[0]==0 && data.system.converter400==2){ %>
                        <div class="h-s-line15-c direction-2-right stopcur"></div>
                     <%} %>
                     <%if(data.system.Rectifier[0][0]==0&&data.system.DC[0]!=0&&data.system.SolarRectifier[0][0]!=0){%>
                        <div class="h-s-line21 direction-2-right"></div>
                     <%} %>
                <%} %>
                
                <%if((data.system.converter400!=2) && !((data.system.MPPT_type==2)&&(data.system.converter_type == 0)) && !((data.system.MPPT_type==0)&&(data.system.converter_type != 0))){ %>
                <em class="h-s-value h-s-value2 <%=Validates.CheckValue(data.system.Rectifier[0]) %>"><%=data.system.Rectifier[0][0]%>A</em>
                <em class="h-s-value h-s-value2_1 <%=Validates.CheckValue(data.system.Rectifier[1]) %>"><%=data.system.Rectifier[1][0]%>kW</em>
                <% } else if((data.system.MPPT_type==2) && (data.system.converter_type == 0)){ %>
                    <em class="h-s-value h-s-value2-sol <%=Validates.CheckValue(data.system.SolarRectifier[0]) %>"><%=data.system.SolarRectifier[0][0]%>A</em>
                    <em class="h-s-value h-s-value2_1-sol <%=Validates.CheckValue(data.system.SolarRectifier[1]) %>"><%=data.system.SolarRectifier[1][0]%>kW</em>
                    <%}                             
                else { %>
                <em class="h-s-value h-s-value2c <%=Validates.CheckValue(data.system.topology2.converter_current[0]) %>"><%=data.system.topology2.converter_current[0][0]%>A</em>
                <em class="h-s-value h-s-value2c_1 <%=Validates.CheckValue(data.system.topology2.converter_current[1]) %>"><%=data.system.topology2.converter_current[1][0]%>kW</em>
                <%} %>
                <%if(data.system.DG_Status[0]===0 && data.system.converter400!=2){%><!---->
                    
                    <a class="h-s-05" data='{"data":"/var/datas/data.system_dg.html","name":"DG","template":"tmp.system_dg.html","fn":"false,system_dc","menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#"><span>/*[ID_DG]*/</span></a>
                    <div class="h-s-line3 direction-right"></div>
                   <!-- <div class="h-s-line11 direction-right-up"></div>-->
                    <div class="h-s-line4 direction-up"></div>
                    <div class="h-s-line27 direction-right-up"></div>
                   <!-- <div class="h-s-line28 direction-right-up"></div>-->
                <%}%>
                <%if(data.system.number[0]>0  && data.system.converter400!=2){%><!---->
                    <a class="h-s-06" data='{"data":"/var/datas/data.system_converter.html","template":"tmp.system_tabs_a.html,tmp.system_converter.html","menuIndex":"2","currentMenu":"tabCoverter"}' hidefocus="true" href="#"><span>/*[ID_CONVERTER1]*/</span></a>
                    <p class="h-s-07"><span>/*[ID_DC1]*/</span></p>
                    
                    <div class="h-s-line6 direction-up <%if(data.system.SolarRectifier[0][0]==0&&data.system.Rectifier[0][0]==0&&data.system.Battery[0]==0){ %>stopcur2<%} %>"></div>
                    <div class="h-s-line8 direction-right <%if(data.system.DCToConverter[0][0]==0){ %>stopcur<%} %>"></div>
                    
                    <em class="h-s-value h-s-value3 <%=Validates.CheckValue(data.system.DCToConverter[0]) %>"><%=data.system.DCToConverter[0][0]%>A</em>
                    <em class="h-s-value h-s-value3_1 <%=Validates.CheckValue(data.system.DCToConverter[1]) %>"><%=data.system.DCToConverter[1][0]%>kW</em>
                <%}else{
                    if(data.system.T2S_Status===0&&data.system.number[6]>0){
                %>
                    <a class="h-s-10" data='{"data":"/var/datas/data.system_T2S.html","name":"T2S","template":"tmp.system_T2S.html","fn":"false","menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#"><span>/*[ID_T2S]*/</span></a>
                    
                    
                    <div class="h-s-line9 direction-up <%if(data.system.converter400!=2){ if(data.system.DC[0]==0){%>stopcur2<%}}else{ if(data.system.topology2.DC_load[0]==0)%>stopcur2<%} %>"></div>
                    <div class="h-s-line20 direction-right <%if(data.system.converter400!=2){ if(data.system.DC[0]==0){%>stopcur<%}}else{ if(data.system.topology2.DC_load[0]==0)%>stopcur2<%} %>"></div>
                    <div class="h-s-line13 direction-up-right <%if(data.system.converter400!=2){ if(data.system.DC[0]==0){%>stopcur4<%}}else{ if(data.system.topology2.DC_load[0]==0)%>stopcur2<%} %>"></div>
                    
                <%}}%>
                                     
				<%if(data.system.converter400!=2){ %>
                <em class="h-s-value h-s-value5 <%=Validates.CheckValue(data.system.DC) %>"><%=data.system.DC[0]%>A</em>
                <%}else { %>
            <!--    <em class="h-s-value h-s-value5 <%=Validates.CheckValue(data.system.topology2.DC_load) %>"><%=data.system.topology2.DC_load[0]%>A</em>    -->
                <%} %>
			</div>
			<div class="home-system-r1">
				<a href="#" id="alarmTip" class="h-s-alarm"></a>
			</div>
			<div class="home-system-r2">
				<div class="chart-thermometer" id="batteryThermometer" style="top:-20px;"></div>
                <div class="home-system-va"><span class="<%=Validates.CheckValue(data.drawThermometer.value,true) %>">/*[ID_AMBIENT_TEMP]*/:</span><em><%var cla =Validates.CheckValue(data.drawThermometer.value);if(cla=="v_disabled" || cla=="v_hidden"){%><ins <%if(cla=="v_disabled"){%> class='v_disabled'<%}%>>/*[ID_TIPS2]*/</ins><%} else { %><%=Validates.CheckValueReturn(data.drawThermometer.value,"&#176;C")%><%}%></em></div>
			</div>
			<div class="home-system-r3">
				<div class="chart-VAmeter" id="VAmeter"></div>
                <div class="home-system-va" style="margin: 20px 0 0 -20px;"><span class="<%=Validates.CheckValue(data.VAmeter.value.outer,true) %>">/*[ID_SYSTEM_VOLTAGE]*/:</span><em><%=Validates.CheckValueReturn(data.VAmeter.value.outer,"V")%></em></div>
			</div>
		</div>
		<div class="home-loadTrend">
			<div class="home-loadTrendContent">
                <div class="Trend-title">/*[ID_LOAD_TREND]*/</div>
				<div id="Trend" class="curve-trend"></div>
				<div class="trend-current">
                    <div class="PACurrent-text">
                            <p class="<%=Validates.CheckValue(data.PAmeter.value.inner,data.PAmeter.value.outer,true,true) %>"><span>/*[ID_SYSTEM_CURRENT]*/: </span><em class="<%=Validates.CheckValue(data.PAmeter.value.inner,true) %>"><%=Validates.CheckValueReturn(data.PAmeter.value.inner,"A")%></em>&nbsp;/&nbsp;<em class="<%=Validates.CheckValue(data.PAmeter.value.outer,true) %>"><%=Validates.CheckValueReturn(data.PAmeter.value.outer,"%")%></em></p>
                            <%if(data.system.converter400!=2){ %>
                            <p><span>/*[ID_AVERAGE_CURRENT]*/: </span><em id="AverageCurrent"></em></p>
                            <%} %>
                    </div>
                    <div id="PACurrent" class="chart-PACurrent"></div>
				</div>
			</div>
		</div>
	</div>
	</div>
	</div>
    </body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>